 	.386
	.model	use32 small

	extrn	allerr : PROC
	public	_ldexp
	.data

nm	db	"ldexp",0

	.code
_ldexp:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fild	dword ptr [ebp+16]
	fld	qword ptr [ecx]
	fscale
	fxch	st(1)
	fcomp	st(1)
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end